Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452982 - pvchange -x doesn't work for non-mda PVs
Summary: pvchange -x doesn't work for non-mda PVs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Milan Broz
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-26 13:08 UTC by Milan Broz
Modified: 2013-03-01 04:06 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 21:47:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0179 normal SHIPPED_LIVE lvm2 bug-fix and enhancement update 2009-01-20 16:05:45 UTC

Description Milan Broz 2008-06-26 13:08:48 UTC
pvchange incorrectly handles PVs without metadata areas,
"allocatable" flag should changed in metadata (located on other PVs)

# pvs -o +mda_count /dev/sd[bc]1
  PV         VG      Fmt  Attr PSize   PFree   #PMda
  /dev/sdb1  vg_test lvm2 a-   200.00M 200.00M     1
  /dev/sdc1  vg_test lvm2 a-   200.00M 200.00M     0

# pvchange -x n /dev/sdb1
  Physical volume "/dev/sdb1" changed
  1 physical volume changed / 0 physical volumes not changed

# pvchange -x n /dev/sdc1
  Allocatability not supported by orphan lvm2 format PV /dev/sdc1
  0 physical volumes changed / 1 physical volume not changed

# rpm -q lvm2
lvm2-2.02.32-4.el5

Comment 2 RHEL Product and Program Management 2008-07-16 08:50:58 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Milan Broz 2008-07-31 12:44:32 UTC
Fixed upstream in 2.02.40
+  Fix pvchange and pvremove to handle PVs without mdas.



Comment 4 Milan Broz 2008-09-19 11:11:31 UTC
In lvm2-2.02.40-1.el5.

Comment 7 errata-xmlrpc 2009-01-20 21:47:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0179.html


Note You need to log in before you can comment on or make changes to this bug.